## org.mortbay.util
Interface LifeCycle

All Known Subinterfaces:
  HttpHandler, HttpListener, LogSink, RequestLog, Service, SessionManager

All Known Implementing Classes:
  AbstractHttpHandler, AbstractService, AbstractSessionManager, AJP13Listener, Holder, HttpContext, HttpServer, LifeCycleThread, Log4jSink, LoggerLogSink, NCSARequestLog, NullLogSink, OutputStreamLogSink, Pool, SocketListener, ThreadPool

public interface LifeCycle

A component LifeCycle. Represents the life cycle interface for an abstract software component.

Version:
  $Id: LifeCycle.java,v 1.4 2002/12/03 16:47:08 gregwilkins Exp $
Author:
  Greg Wilkins (gregw)

Method Summary
`boolean` `isStarted()`
`void` `start()` Start the LifeCycle.
`void` `stop()` Stop the LifeCycle.

Method Detail

### start

    public void start()
               throws java.lang.Exception

  Start the LifeCycle.

  Throws:
    `java.lang.Exception` - An arbitrary exception may be thrown.

### stop

    public void stop()
              throws java.lang.InterruptedException

  Stop the LifeCycle. The LifeCycle may wait for current activities to complete normally, but it can be interrupted.

  Throws:
    `java.lang.InterruptedException` - Stopping a lifecycle is rarely atomic and may be interrupted by another thread. If this happens InterruptedException is throw and the component will be in an indeterminant state and should probably be discarded.

### isStarted

    public boolean isStarted()

  Returns:
    True if the LifeCycle has been started.

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.